function [cPopulation] = defObor(hranice,cPopulation,NP,D,CisFce,A,C,alp)
% fce kontroluje zda nektery parametr neprekracuje definicni obor
% pokud ano nahradi je nahodnym cislem z intervalu
% populace je zde compositni promenna

for i = (1:NP)
  
  zmena = 0;      %hlida aby dochazelo k prepocitani FUNKCE jenom v pripade presahnuti def oboru
  
  for a = 1:1:D
    if hranice(a,1) > cPopulation(a+1,i)
         cPopulation(a+1,i) = hranice(a,1);
%            cPopulation(a+1,i) = rand*(hranice (a,2) - hranice(a,1)) + hranice(a,1);
         zmena = 1;
    else
          if hranice(a,2) < cPopulation(a+1,i)
             cPopulation(a+1,i) = hranice(a,2);
%                cPopulation(a+1,i) = rand*(hranice (a,2) - hranice(a,1)) + hranice(a,1);
             zmena = 1;
          end
    end    
  end

  if zmena > 0
    cPopulation(1,i) = FUNKCE(cPopulation(2:end,i),D,CisFce,A,C,alp);
  end 
    
end